NSX-T Data Center REST API

List the status of SHA monitors

List the status of SHA monitors on certain transport node.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/sha/monitors-status
Request Headers:
n/a
Query Parameters:
ShaMonitorStatusParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/sha/monitors-status?transport_node_id=6304a097-55d5-451e-b35c-a7daa6777151

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
ShaMonitorStatusListResult+

Example Response:

{ "results": [ { "monitor_path": "/infra/sha/monitors/esx-datapath-monitor", "status_details": { "overall_status": "NORMAL", "status_description": "Plugin is not executed as unreached precondition: [VODAP collector has not been set.]." }, "effective_profile": { "effective_profile_revision": 0, "effective_profile_path": "/infra/sha/monitors/esx-datapath-monitor/profiles/default-profile" }, "transport_node_path": "/infra/sites/default/enforcement-points/default/host-transport-nodes/10.161.250.76", "node_id": "6304a097-55d5-451e-b35c-a7daa6777151", "timestamp": 1756890457935, "marked_for_delete": false, "overridden": false, "_protection": "NOT_PROTECTED" }, { "monitor_path": "/infra/sha/monitors/esx-health-monitor", "status_details": { "overall_status": "NORMAL", "status_description": "" }, "effective_profile": { "effective_configs": { "check_interval": 300, "resource_type": "ShaEsxHealthMonitorConfig", "enable": true }, "effective_profile_revision": 0, "effective_profile_path": "/infra/sha/monitors/esx-health-monitor/profiles/default-profile" }, "transport_node_path": "/infra/sites/default/enforcement-points/default/host-transport-nodes/10.161.250.76", "node_id": "6304a097-55d5-451e-b35c-a7daa6777151", "timestamp": 1756890457935, "marked_for_delete": false, "overridden": false, "_protection": "NOT_PROTECTED" }, ... ] }

Required Permissions:

read

Feature:

policy_ops

Additional Errors: